      FUNCTION WAVE (SYML)
C-----DERIVES WAVELENGTH FOR RADIATION SYMBOL SYML                      WAVE0001
      COMMON/WAVEL/ CT
C      INTEGER CT,SYML
      character*4 syml,ct(20)
      real w(20)
C      DIMENSION W(20)
      DATA W(1)/2.28970/,W(2)/2.29361/,W(3)/2.0848/,W(4)/2.2909/,W(5)/1.
     193604/,W(6)/1.93998/,W(7)/1.75653/,W(8)/1.9373/,W(9)/1.54056/,W(10
     2)/1.54439/,W(11)/1.39217/,W(12)/1.5418/,W(13)/0.70930/,W(14)/0.713
     359/,W(15)/0.63225/,W(16)/0.7107/,W(17)/0.55941/,W(18)/0.56380/,W(1
     49)/0.49701/,W(20)/0.5608/
      DO 1 I=1,20
C  Changed the following statement:
      IF (SYML.eq.CT(I)) goto 2
C      IF (SYML-CT(I)) 1,2,1
 1    CONTINUE
      WAVE=W(12)
      RETURN
 2    WAVE=W(I)
      RETURN
      END
C
C***************************************************
C
      FUNCTION LP (SYMLP)
C-----ASSIGNS SEQUENCE NUMBER LP TO EACH LOR.POL. SYMBOL SYMLP          LPS00101
      character*2 symlp,cs(6)
      integer lpf(6),lp
      COMMON /FLORNUM/ LPF /FLORCHAR/ CS
C
C  FYI LPF:  0   1   2  3  4   0
C      CS : DS ' 1' NE GN GH '  '
C
      DO 1 I=1,6
      IF (SYMLP.eq.CS(I)) goto 2
C      IF (SYMLP-CS(I)) 1,2,1
 1    CONTINUE
      LP=LPF(1)
      RETURN
 2    LP=LPF(I)
      RETURN
      END
C
C****************************************************
C
      FUNCTION BRA (SYMBR)
C-----ASSIGNS SEQUENCE NUMBER BRA TO BRAVAIS LATTICE SYMBOL SYMBR       BRAS0001
      character*1 ct(8),symbr
      integer ib(8),bra
      COMMON /BRAFNUM/ IB /BRAFCHAR/ CT
C  The 8 symbols in CT are: (blank) P I R F A B C
C  SYMBR could come from LATTICE card or from ISYB in the
C  BURZ subroutine which is assigned to SYMBR and comes from
C  the first character in the Hermann Mauguin symbol
C  the IB which is returned is: 1 1 2 3 4 5 6 7
      DO 1 I=1,8
        if (symbr.eq.ct(i)) goto 2
C      IF (SYMBR-CT(I)) 1,2,1
 1    CONTINUE
      BRA=IB(1)
      RETURN
 2    BRA=IB(I)
      RETURN
      END
